import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)

seg={'a':11, 'b':7, 'c':15, 'd':17, 'e':22, 'f':8, 'g':10}
for s in "abcdefg":
  GPIO.setup(seg[s], GPIO.OUT, initial=True)

z=25
GPIO.setup(z, GPIO.OUT, initial=True)

zahl=[
  "abcdef",  #0
  "bc",      #1
  "abdeg",   #2
  "abcdg",   #3
  "bcfg",    #4
  "acdfg",   #5
  "acdefg",  #6
  "abc",     #7
  "abcdefg", #8
  "abcdfg",  #9
    ]

print ("Strg+C beendet das Programm")
try:
  while True:
    for i in range(10):
      for s in zahl[i]:
        GPIO.output(seg[s], False)
      time.sleep(0.5)
      for s in "abcdefg":
        GPIO.output(seg[s], True)

except KeyboardInterrupt:
  GPIO.cleanup()
