# DS1820_tempread.py
# -*- coding: utf-8 -*- 

import sys 
import os
from Tkinter import *

# read 1-Wire slave list
file = open('/sys/devices/w1_bus_master1/w1_master_slaves') 
w1_slaves = file.readlines() 
file.close()
print "sensor ID       | Temperature"
print "================|============"

root=Tk()

root.font=('Arial', 30, 'normal')
root.title("Thermometer") 
root.geometry('250x60') #window size

# continuously read each sensor

while(1):
    for line in w1_slaves: 
        # extract 1-wire slave
        w1_slave = line.split("\n")[0] 
        # read corresponding file
        file = open('/sys/bus/w1/devices/' + str(w1_slave) + '/w1_slave')
        filecontent = file.read() 
        file.close() 
        
        # read and convert temperature
        stringvalue = filecontent.split("\n")[1].split(" ")[9] 
        temperature = float(stringvalue[2:]) / 1000 
        
        # print result 
        print(str(w1_slave) +' | '+'  %6.1f °C' % temperature) 

sys.exit(0)
