# LED_commander.py
# switch LEDs using pushbuttons in Tkinter

from Tkinter import *   
import RPi.GPIO as GPIO 

GPIO.setmode(GPIO.BCM)  
GPIO.setup(7,GPIO.OUT) 

root=Tk()

def on() :
    GPIO.output(7,1) # GPIO 07 on
    return

def off():
    GPIO.output(7,0) # GPIO 07 off
    return

root.title("LED Commander")
root.geometry("240x60") # window size

Button(text="LED on ", command=on, bg="green", fg="black").pack()
Button(text="LED off", command=off, bg="red", fg="white").pack()

root.mainloop()
