# seven_segment_test.py

import RPi.GPIO as GPIO
import time
GPIO.setmode(GPIO.BCM)

# GPIO ports for display pins
#            a  b  c  d e  f  g  DP
segments =  (18,14,25,9,11,15,24,10)

for segment in segments:
    GPIO.setup(segment, GPIO.OUT)
    GPIO.output(segment, 1)

# GPIO ports for digits pins 
#         Th  H  T  O
digits = (22, 7, 8, 23)

for digit in digits:
    GPIO.setup(digit, GPIO.OUT)
    GPIO.output(digit, 0)

num ={  ' ':(1,1,1,1,1,1,1),    '0':(0,0,0,0,0,0,1),    '1':(1,0,0,1,1,1,1),
        '2':(0,0,1,0,0,1,0),    '3':(0,0,0,0,1,1,0),    '4':(1,0,0,1,1,0,0),
        '5':(0,1,0,0,1,0,0),    '6':(0,1,0,0,0,0,0),    '7':(0,0,0,1,1,1,1),
        '8':(0,0,0,0,0,0,0),    '9':(0,0,0,0,1,0,0)
     }
try:
    while True:
        n = 1234
        s = str(n)
        for digit in range(4):
            for loop in range(0,7):
                GPIO.output(segments[loop], num[s[digit]][loop])
            GPIO.output(digits[digit], 1)
            time.sleep(0.001)
            GPIO.output(digits[digit], 0)
finally:
    GPIO.cleanup()
