#!/usr/bin/python
import time, smbus
 
DEVICE = 0x20 
IODIRA = 0x00 
IODIRB = 0x01 
GPIOA  = 0x12 
GPIOB  = 0x13 
 
bus = smbus.SMBus(1) 
bus.write_byte_data(DEVICE,IODIRA,0x00)
bus.write_byte_data(DEVICE,IODIRB,0x00)
bus.write_byte_data(DEVICE,GPIOA,0x00)
bus.write_byte_data(DEVICE,GPIOB,0x00)
 
m1 = 60

while True:
  zeit = time.localtime()
  m = zeit.tm_min
  h = zeit.tm_hour
  if h > 12:
    h = h - 12
  if m1 <> m:
    bus.write_byte_data(DEVICE,GPIOB,h)
    bus.write_byte_data(DEVICE,GPIOA,m)
    m1 = m
  time.sleep(1)
