import RPi.GPIO as GPIO
import time
import os

GPIO.setmode(GPIO.BCM)

seg={'a':11, 'b':7, 'c':15, 'd':17, 'e':22, 'f':8, 'g':10}
for i in "abcdefg":
  GPIO.setup(seg[i], GPIO.OUT, initial=True)

zif=[25, 24, 23, 14]
for i in zif:
  GPIO.setup(i, GPIO.OUT, initial=False)

dp = 18
GPIO.setup(dp, GPIO.OUT, initial=True)

zahl=[
  "abcdef",  #0
  "bc",      #1
  "abdeg",   #2
  "abcdg",   #3
  "bcfg",    #4
  "acdfg",   #5
  "acdefg",  #6
  "abc",     #7
  "abcdefg", #8
  "abcdfg",  #9
    ]

z = [0,0,0]
CMD = "ip addr show eth0 | grep inet | awk '{print $2}' | cut -d/ -f1"
ip = os.popen(CMD).readline()
ip4 = ip.split(".")

print ("Strg+C beendet das Programm")

def za():
    for i in range(3):
      for s in "abcdefg":
        GPIO.output(seg[s], True)
      GPIO.output(zif[i], True)
      for s in zahl[z[i]]:
        GPIO.output(seg[s], False)
      time.sleep(0.001)
      GPIO.output(zif[i], False)

def blink():
    for s in "abcdefg":
      GPIO.output(seg[s], True)
    for k in range(3):
      GPIO.output(zif[k], True)
    GPIO.output(dp, False)
    time.sleep(0.5)
    GPIO.output(dp, True)  

try:
  while True:
    for j in ip4:
      for k in range(3):
        z[k] = int(j.rjust(3, "0")[k])
      sek = time.time()
      while time.time() <= sek + 1:
        za()
    blink()

except KeyboardInterrupt:
  GPIO.cleanup()
