import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)

seg={'a':11, 'b':7, 'c':15, 'd':17, 'e':22, 'f':8, 'g':10}
for i in "abcdefg":
  GPIO.setup(seg[i], GPIO.OUT, initial=True)

zif=[25, 24, 23, 14]
for i in zif:
  GPIO.setup(i, GPIO.OUT, initial=False)

zahl=[
  "abcdef",  #0
  "bc",      #1
  "abdeg",   #2
  "abcdg",   #3
  "bcfg",    #4
  "acdfg",   #5
  "acdefg",  #6
  "abc",     #7
  "abcdefg", #8
  "abcdfg",  #9
    ]

z = [0,0,0,0]
print ("Strg+C beendet das Programm")

def za():
    for i in range(4):
      for s in "abcdefg":
        GPIO.output(seg[s], True)
      GPIO.output(zif[i], True)
      for s in zahl[z[i]]:
        GPIO.output(seg[s], False)
      time.sleep(0.001)
      GPIO.output(zif[i], False)

try:
  while True:
    s = raw_input("Bitte vierstellige Zahl eingeben:")
    s += "0000"
    for i in range (4):
      if s[i].isdigit():
        z[i] = int(s[i])
      else:
        z[i] = 0
    sek = time.time()
    while time.time() <= sek + 2:
      za()

except KeyboardInterrupt:
  GPIO.cleanup()
