#CapMeter.py Capacity meter
#Pin Config: activePort-1MOhm-readoutPort-Cx-GND

from Tkinter import *
import RPi.GPIO as GPIO
import time

GPIO.setwarnings(False) 
GPIO.setmode(GPIO.BCM)

activePort = 8
readoutPort = 7
cal = 1000.0

GPIO.setup(activePort, GPIO.OUT)
GPIO.setup(readoutPort, GPIO.IN)   

root=Tk()

root.font=('Arial', 30, 'normal')
root.title("CapMeter") 
root.geometry('250x60') #window size

def getCapValue(lb):
    GPIO.output(activePort, 1)
    time.sleep(1)
    GPIO.output(activePort, 0)
    tStart = time.time()
    while GPIO.input(readoutPort) > 0:
       pass
    tStop = time.time()
    c = int ((tStop-tStart)*cal)
    lb.config(text="C = " + str(c) + " nF")
    time.sleep(1)
    lb.after(100, getCapValue , lb)

lb = Label(root)

lb.config(text="C = 0 nF", font = root.font)
lb.pack()

getCapValue(lb)
root.mainloop() 
