# demo_sinus.py

import numpy as np
import matplotlib.pyplot as plt

pi = 3.14159

plt.ylim(-2, 2)
plt.title('Sinus demo')
plt.grid(True)
plt.xlabel('time')
plt.ylabel('amplitude')

x = np.linspace(0, 2, 100)

line, = plt.plot(x, np.sin(pi*x), 'r', linewidth=2)
line, = plt.plot(x, -np.sin(pi*x), 'r', linewidth=2)
line, = plt.plot(x, np.sin(3*pi*x), 'b', linewidth=2)
line, = plt.plot(x, -np.sin(3*pi*x), 'b', linewidth=2)


plt.show()
