# LED_chaser.py

import RPi.GPIO as GPIO 
import time 
GPIO.setmode(GPIO.BCM) 

LED = [7,8,25,24,23,18,15,14] 

for x in range(8): 
    GPIO.setup(LED[x], GPIO.OUT, initial=0) 

print ("LED chaser") 
 
try: 
    while True: 
        for x in range(8): 
                GPIO.output(LED[x], 1) 
                time.sleep(0.1) 
                GPIO.output(LED[x], 0)
                
except KeyboardInterrupt: 
    GPIO.cleanup() 
