# MCP3002_graphical.py

from Tkinter import *
import spidev 
import time

# SPI setup
spi_max_speed = 1000000     # 1 MHz 
CE = 0                      # select SPI device

spi = spidev.SpiDev()
spi.open(0,CE)              

root=Tk()
root.font=('Arial', 30, 'normal')
root.title("MCP3002") 
root.geometry('280x60') #window size

def read_mcp3002(lb):
    cmd = 0b01100000  # CH0
    #   cmd = 0b01110000   # CH1
    spi_data = spi.xfer2([cmd,0]) # start communication
    adc_data = ((spi_data[0] & 3) << 8) + spi_data[1]
    lb.config(text="ADC = " + str(adc_data))
    # time.sleep(1)
    lb.after(100, read_mcp3002, lb)
    # return adc_data


lb = Label(root)
lb.config(text="", font = root.font)
lb.pack()


read_mcp3002(lb)
root.mainloop()

