# Tilt_alarm.py
# get GPIO-Pin status using INTERRUPT

from Tkinter import *
import RPi.GPIO as GPIO 

GPIO.setmode(GPIO.BCM)  
GPIO.setup(8,GPIO.IN,pull_up_down=GPIO.PUD_UP)

root=Tk()

AlarmState=StringVar()   
AlarmState.set("Undefined") 

def state_isr(pin): # subroutine for interrupt
    if GPIO.input(pin)==0: 
        AlarmState.set("Ready")
    else:
        AlarmState.set("ALARM!")
    return

root.title("Alarm Center")
root.geometry("280x60") # window size
root.font=('Arial', 30, 'normal')


# check statusGPIO08
Label(root, textvariable=AlarmState, font = root.font).pack()
GPIO.add_event_detect(8, GPIO.BOTH, callback=state_isr) 
root.mainloop()
